.layout__container {
  align-items: normal;
}

.section__all {
  width: 860px;
}

.section__part__head {
  margin-bottom: 10px;
  flex-direction: column;
  align-items: start;
}

.session-header {
  padding: 20px 20px 10px 20px;
  background-color: #FFFFFF;
}

.section-list {
  padding: 0 20px 20px;
  background-color: #FFFFFF;
}

.component__search .dropdown-box {
  width: 397px;
}

.section__part__head .list-search {
  margin-left: 0;
  width: 460px;
}

.section__part__head .hot-search-box {
  margin-top: 7px;
}

.section__part__head .hot-search-box .south-star {
  margin-right: 10px;
  font-size: 13px;
  font-weight: 400;
  color: #8C8C8C;
  line-height: 18px;
}

.section__part__head .hot-search-box .south-star:hover {
  color: #1890FF;
}

.query-tab {
  width: 100%;
  display: flex;
  justify-content: space-between;
}

.query-tab .left-box {
  display: flex;
}

.query-tab .left-box .tab-item {
  font-size: 16px;
  font-weight: 400;
  color: #595959;
  line-height: 20px;
  cursor: pointer;
}

.query-tab .left-box .tab-item +.tab-item {
  margin-left: 45px;
}

.query-tab .left-box .tab-item.active {
  position: relative;
  font-weight: 500;
  color: #4F5153;
}

.query-tab .left-box .tab-item.active::after {
  content: '';
  position: absolute;
  left: calc(50% - 10px);
  bottom: -5px;
  width: 20px;
  height: 3px;
  background: #1990FF;
  border-radius: 2px;
}

.query-tab .right-box .filter-btn {
  font-size: 14px;
  font-weight: 400;
  color: #1990FF;
  line-height: 20px;
  cursor: pointer;
}

.query-tab .right-box .filter-btn.updown .icon-arrow-down {
  display: inline-block;
  transform: rotate(180deg);
}

.section__part__filter {
  margin-top: 10px;
}

.section__part__filter .univ-tab {
  display: flex;
  margin-top: 15px;
  margin-bottom: 8px;
}

.section__part__filter .univ-tab.hide {
  display: none;
}

.section__part__filter .univ-tab .univ-tab-item {
  margin-right: 36px;
  font-size: 15px;
  font-weight: 400;
  color: #595959;
  line-height: 15px;
  cursor: pointer;
}

.component__filter .result__container {
  margin-top: 15px;
}

.section__part__filter .univ-tab .univ-tab-item.active {
  position: relative;
  font-weight: 500;
  color: #1990FF;
}

.section__part__filter .univ-tab .univ-tab-item.active::after {
  content: '';
  position: absolute;
  left: calc(50% - 5px);
  bottom: -12px;
  width: 8px;
  height: 8px;
  background: var(--bg-light-color);
  background: linear-gradient(135deg, var(--bg-light-color) 50%, transparent 50%);
  transform: rotate(45deg);
  border-radius: 2px;
}

.detail__module__commend .module_head {
  align-items: end;
}

.detail__module__commend .module_head .tip-alert {
  font-size: 14px;
  color: #878787;
}

.detail__module__commend .module_sub_head {
  margin-top: 12px;
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.detail__module__commend .module_sub_head .hot-tab {
  margin-right: 21px;
  font-size: 16px;
  line-height: 16px;
  font-weight: 400;
  color: #4F5153;
  cursor: pointer;
}

.detail__module__commend .module_sub_head .hot-tab.active {
  position: relative;
  font-weight: 500;
  z-index: 1;
}

.detail__module__commend .module_sub_head .hot-tab.active::after {
  content: '';
  position: absolute;
  left: 0;
  bottom: 0;
  width: 45px;
  height: 7px;
  background: linear-gradient(90deg, #1890FF 0%, rgba(115,145,234,0) 100%);
  opacity: 0.6;
}

.detail__module__commend .module_sub_head .sub-left-box {
  display: flex;
}

.detail__module__commend .module_sub_head .sub-right-box {
  font-size: 14px;
  font-weight: 400;
  color: #878787;
  line-height: 14px;
}

.detail__module__commend .module_content .hot-list .list-item {
  margin-top: 18px;
  width: 100%;
  display: flex;
  justify-content: space-between;
}

.detail__module__commend .module_content .hot-list .list-item .left-box {
  display: flex;
}

.detail__module__commend .module_content .hot-list .list-item .left-box .rank {
  flex-shrink: 0;
  margin-right: 5px;
  width: 20px;
  font-weight: 500;
  font-size: 14px;
  color: #878787;
  text-align: center;
  background-position: center;
  background-size: contain;
  background-repeat: no-repeat;
}

.detail__module__commend .module_content .hot-list .list-item .left-box .rank.mini {
  font-size: 12px;
  line-height: 20px;
  color: #FFFFFF;
}

.detail__module__commend .module_content .hot-list .list-item .left-box .item-name {
  width: 200px;
  font-size: 16px;
  font-weight: 400;
  color: #262626;
  line-height: 22px;
  transition: all 0.3s;
}

.detail__module__commend .module_content .hot-list .list-item:hover .left-box .item-name {
  color: var(--theme-primary-color);
  transition: all 0.3s;
}

.detail__module__commend .module_content .hot-list .list-item .right-box {
  font-size: 12px;
  font-weight: 400;
  color: #AAACB0;
  line-height: 17px;
}

.section__part__result {
  margin-top: 0;
  border: none;
}

.section__part__result .result-list {
  padding: 0;
}

.result-list .section {
  padding-top: 23px;
}

.result-list .section:first-child {
  padding-top: 0;
}

.result-list .type-header {
  display: flex;
  justify-content: space-between;
}

.result-list .type-header .left-type-header {
  display: flex;
  margin-bottom: 16px;
}

.result-list .type-header .left-type-header .part-title {
  font-size: 16px;
  font-weight: 500;
  color: #595959;
  line-height: 14px;
}

.result-list .type-header .left-type-header .part-desc {
  margin-left: 8px;
  font-size: 14px;
  font-weight: 400;
  color: #AAACB0;
  line-height: 14px;
}

.result-list .type-header .right-type-header .part-more {
  display: flex;
  align-items: center;
  font-size: 14px;
  font-weight: 400;
  color: #595959;
  line-height: 20px;
  cursor: pointer;
  transition: all 0.3s;
}

.result-list .type-header .right-type-header .part-more:hover {
  color: var(--theme-primary-color);
  transition: all 0.3s;
}

.result-list .item-card {
  position: relative;
  padding: 14px 15px;
  display: flex;
  border: 1px solid #E7E7E7;
  transition: all 0.3s;
}

.result-list .item-card:hover {
  box-shadow: 0 2px 12px 0 rgba(0, 0, 0, 0.1);
  transition: all 0.3s;
}

.result-list .item-card:hover .card-title {
  color: var(--theme-primary-color) !important;
  transition: all 0.3s;
}

.result-list .item-card .ugrd-tag {
  position: absolute;
  top: -3px;
  right: -4px;
  width: 60px;
}

.result-list a +a .item-card {
  margin-top: 10px;
}

.result-list .item-card .left-box {
  flex-shrink: 0;
  margin-right: 12px;
  width: 72px;
  height: 72px;
}

.result-list .item-card .left-box .logo {
  width: 100%;
  height: 100%;
  object-fit: contain;
  object-position: center;
}

.result-list .item-card .right-box {
  flex: 1;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  overflow: hidden;
}

.result-list .item-card .right-box .card-title {
  font-size: 16px;
  font-weight: 500;
  color: #262626;
  line-height: 22px;
}

.result-list .item-card .right-box .card-sub-title {
  font-size: 14px;
  font-weight: 400;
  color: #8C8C8C;
  line-height: 20px;
}

.result-list .item-card .right-box .card-bottom {
  margin-top: 5px;
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.result-list .item-card .right-box .card-bottom-left {
  display: flex;
  flex-wrap: wrap;
  gap: 6px 0;
}

.result-list .item-card .right-box .card-bottom-left .item-tag {
  padding: 4px 10px;
  margin-right: 10px;
  display: flex;
  align-items: center;
  font-size: 12px;
  font-weight: 400;
  line-height: 16px;
  border-radius: 4px;
  flex-shrink: 0;
}

.result-list .item-card .right-box .card-bottom-left .read {
  font-size: 13px;
  font-weight: 400;
  color: #AAACB0;
  line-height: 16px;
}

.result-list .item-card .right-box .card-bottom-left .case-num {
  display: flex;
  align-items: center;
  margin-right: 40px;
  font-size: 12px;
  font-weight: 400;
  color: #AAACB0;
  line-height: 16px;
}

.result-list .item-card .right-box .card-bottom-left .case-num .mini-icon {
  margin-right: 4px;
  width: 15px;
}

.result-list .item-card .right-box .card-bottom-left .case-num span {
  color: #1990FF;
  text-decoration: underline;
}

.result-list .item-card .right-box .card-bottom-right {
  display: flex;
  align-items: center;
  font-size: 13px;
  font-weight: 400;
  color: #878787;
  line-height: 18px;
}

.result-list .item-card .right-box .card-bottom-right .mini-icon {
  margin-right: 4px;
  width: 16px;
}

.item-tag.tag-type-1 {
  color: #3172FB;
  background: #F0F6FF;
}

.item-tag.tag-type-2 {
  color: #FB9931;
  background: #FFF6EC;
}

.item-tag.tag-type-3 {
  color: #0AC946;
  background: #E4FFF3;
}

.item-tag.item-tag-pro {
  border: 1px solid #1990FF;
}

.item-tag .maj-icon {
  margin-right: 4px;
  width: 11px;
}

.result-list .item-card .right-box .card-bottom-right {

}

.empty-box {
  width: 100%;
  height: 500px;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: center;
  border: 1px solid var(--border-default-color) !important;
}

.empty-box img {
  margin-top: 100px;
  margin-bottom: 25px;
}

.empty-box .text {
  height: 14px;
  font-size: 14px;
  color: var(--text-sub1-color);
  line-height: 14px;
}

.one-line,
.line-one {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.hide {
  display: none;
}

.component__filter  .filter__container {
  display: none;
}

.component__filter .filter__row[data-value="article"] .filter__item.single input[type='radio'] {
  width: 0;
  height: 0;
  margin-right: 0;
  opacity: 0;
  border: none;
}

.component__filter .filter__row[data-value="article"] .filter__item.single {
  position: relative;
}

.component__filter .filter__row[data-value="article"] .filter__item.single.active {
  z-index: 1;
}

.component__filter .filter__row[data-value="article"] .filter__item.single.active label {
  color: #FFFFFF !important;
}

.component__filter .filter__row[data-value="article"] .filter__item.single.active::after {
  content: '';
  position: absolute;
  top: 50%;
  left: 50%;
  width: 100%;
  height: 100%;
  transform: translate(-50%, -50%);
  padding: 5px 8px;
  border-radius: 4px;
  background-color: var(--theme-primary-color);
  z-index: -1;
}

.section__part__filter .component__filter .filter__row:nth-child(4)>.slot__right .filter__child>.filter__level__container>.filter__list>.filter__item {
  width: 120px;
  margin-right: 0;
  justify-content: flex-start; 
}

.section__part__filter .component__filter .filter__row:nth-child(5) .slot__right .filter__list .filter__item:nth-child(9) {
  margin-right: 17px;
}

.section__part__filter .component__filter .filter__row:nth-child(6) .filter__item, 
.section__part__filter .component__filter .filter__row:nth-child(7) .filter__item {
  width: 100px;
  justify-content: flex-start;
  margin-right: 0;
}

.section__part__filter .component__filter .filter__row:nth-child(8) .filter__item {
  width: 80px;
  justify-content: flex-start;
  margin-right: 0;
}

.detail__module__app__download {
  position: sticky;
  top: 76px;
  width: 330px;
  height: 216px;
  margin-top: 10px;
  background-size: 100% 100%;
  background-repeat: no-repeat;
  background-image: url('https://info.compassedu.hk/mobile/new-logo/new-right-code1.png?imageMogr2/auto-orient/thumbnail/660x>/blur/1x0/quality/50|imageslim');
}

.cursor {
  cursor: pointer;
}

.normal {
  cursor: default;
}

.empty-container {
  height: 450px;
}

.tag {
  margin-left: 5px;
}
